Bug 1302035 - [FC23] engine-setup fails with: Command 'semanage' is required but missing
[FC23] engine-setup fails with: Command 'semanage' is required but missing
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
3.6.1
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Yedidyah Bar David
Petr Matyáš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 10:29 EST by Yedidyah Bar David
Modified: 2016-02-18 06:09 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:09:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52782 master MERGED packaging: spec: Fix semanage requirement in fedora 23 2016-01-27 09:04 EST
oVirt gerrit 52810 ovirt-engine-3.6 MERGED packaging: spec: Fix semanage requirement in fedora 23 2016-01-28 04:18 EST
oVirt gerrit 52811 ovirt-engine-3.6.3 MERGED packaging: spec: Fix semanage requirement in fedora 23 2016-01-28 04:50 EST

  None (edit)
Description Yedidyah Bar David 2016-01-26 10:29:14 EST
Description of problem:

$subject.

2016-01-26 17:22:32 DEBUG otopi.context context._executeMethod:142 Stage misc METHOD otopi.plugins.ovirt_engine_common.base.system.selinux.Plugin._misc
2016-01-26 17:22:32 DEBUG otopi.context context._executeMethod:156 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 146, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-common/base/system/selinux.py", line 90, in _misc
    self.command.get('semanage'),
  File "/usr/lib/python2.7/site-packages/otopi/command.py", line 89, in get
    command=command
RuntimeError: Command 'semanage' is required but missing

Version-Release number of selected component (if applicable):

current master snapshot

On fedora 23

Still didn't check what's needed there
Comment 1 Red Hat Bugzilla Rules Engine 2016-01-27 09:04:18 EST
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 2 Red Hat Bugzilla Rules Engine 2016-01-28 07:15:28 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 3 Red Hat Bugzilla Rules Engine 2016-01-28 07:24:42 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 4 Red Hat Bugzilla Rules Engine 2016-01-28 07:28:32 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 5 Petr Matyáš 2016-02-03 04:47:55 EST
Verified on oVirt 3.6 Snapshot
ovirt-engine-3.6.4-0.0.master.20160202184256.git2acc680.fc23.noarch

Note You need to log in before you can comment on or make changes to this bug.